Skip to content

List Security Groups

GET
/api/v1/security_group/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/security_group/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response containing security group details

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
rules
Array<object>
object
id
integer
rule_type
string
protocol_name
string
port_range
string
network
string
network_cidr
string
network_size
integer
vpc_id
integer
nullable
is_default
boolean
is_all_traffic_rule
boolean
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 57358,
"name": "test",
"description": "",
"rules": [
{
"id": 285096,
"rule_type": "Inbound",
"protocol_name": "All",
"port_range": "All",
"network": "any",
"network_cidr": "--",
"network_size": 1,
"vpc_id": null
}
],
"is_default": false,
"is_all_traffic_rule": false
}
],
"errors": {},
"message": "Success"
}